package wenrgise.common.webtier.form;

import java.util.ArrayList;

public class BaseLOVForm extends BaseForm {
  private String[] detailField1;
  
  private String[] detailField2;
  
  private String[] detailField3;
  
  private String[] detailField4;
  
  private String[] detailField5;
  
  private String[] detailField6;
  
  private String[] detailField7;
  
  private String[] detailField8;
  
  private String[] detailField9;
  
  private String[] detailField10;
  
  private String[] detailField11;
  
  private String[] detailField12;
  
  private String[] detailField13;
  
  private String[] detailField14;
  
  private String[] detailField15;
  
  private String[] detailField16;
  
  private String[] detailField17;
  
  private String[] detailField18;
  
  private String[] detailField19;
  
  private String[] detailField20;
  
  private String selRadio;
  
  private ArrayList detailList;
  
  private String userAction;
  
  private String txtHidSubmitFirst;
  
  private String txtHidAction = "FirstTime";
  
  private String txtHidSelectedValue;
  
  private int txtHidTotRows;
  
  private int txtHidTotCols;
  
  private String searchField1;
  
  private String searchField2;
  
  private String insertFlag;
  
  private String searchFieldName1;
  
  private String searchFieldName2;
  
  private String multipleFlag;
  
  private String queryParam;
  
  private ArrayList headerList;
  
  private ArrayList visibilityList;
  
  private String recursiveFlag;
  
  private int level;
  
  private int finalLevel;
  
  private int initialLevel;
  
  private String searchField3;
  
  private String searchField4;
  
  private String searchField5;
  
  private String searchField6;
  
  private String searchFieldName3;
  
  private String searchFieldName4;
  
  private String searchFieldName5;
  
  private String searchFieldName6;
  
  public ArrayList getDetailList() {
    return this.detailList;
  }
  
  public void setDetailList(ArrayList newDetailList) {
    this.detailList = newDetailList;
  }
  
  public String getSelRadio() {
    return this.selRadio;
  }
  
  public void setSelRadio(String newSelRadio) {
    this.selRadio = newSelRadio;
  }
  
  public String getUserAction() {
    return this.userAction;
  }
  
  public void setUserAction(String newUserAction) {
    this.userAction = newUserAction;
  }
  
  public String getTxtHidAction() {
    return this.txtHidAction;
  }
  
  public void setTxtHidAction(String newTxtHidAction) {
    this.txtHidAction = newTxtHidAction;
  }
  
  public String getTxtHidSelectedValue() {
    return this.txtHidSelectedValue;
  }
  
  public void setTxtHidSelectedValue(String newTxtHidSelectedValue) {
    this.txtHidSelectedValue = newTxtHidSelectedValue;
  }
  
  public String getTxtHidSubmitFirst() {
    return this.txtHidSubmitFirst;
  }
  
  public void setTxtHidSubmitFirst(String newTxtHidSubmitFirst) {
    this.txtHidSubmitFirst = newTxtHidSubmitFirst;
  }
  
  public String getSearchField1() {
    return this.searchField1;
  }
  
  public void setSearchField1(String newSearchField1) {
    this.searchField1 = newSearchField1;
  }
  
  public int getTxtHidTotRows() {
    return this.txtHidTotRows;
  }
  
  public void setTxtHidTotRows(int newTxtHidTotRows) {
    this.txtHidTotRows = newTxtHidTotRows;
  }
  
  public void onLoadReset() {
    this.searchField1 = "";
    this.searchField2 = "";
    this.searchField3 = "";
    this.searchField4 = "";
    this.searchField5 = "";
    this.searchField6 = "";
    this.selRadio = "";
    this.detailField1 = null;
    this.detailField2 = null;
    this.detailField3 = null;
    this.detailField4 = null;
    this.detailField5 = null;
    this.detailField6 = null;
    this.detailField7 = null;
    this.detailField8 = null;
    this.detailField9 = null;
    this.detailField10 = null;
    this.detailField11 = null;
    this.detailField12 = null;
    this.detailField13 = null;
    this.detailField14 = null;
    this.detailField15 = null;
    this.detailField16 = null;
    this.detailField17 = null;
    this.detailField18 = null;
    this.detailField19 = null;
    this.detailField20 = null;
    this.txtHidTotRows = -1;
    this.txtHidTotCols = -1;
    this.headerList.clear();
    this.detailList.clear();
  }
  
  public String[] getDetailField4() {
    return this.detailField4;
  }
  
  public void setDetailField4(String[] newDetailField4) {
    this.detailField4 = newDetailField4;
  }
  
  public String[] getDetailField5() {
    return this.detailField5;
  }
  
  public void setDetailField5(String[] newDetailField5) {
    this.detailField5 = newDetailField5;
  }
  
  public String[] getDetailField6() {
    return this.detailField6;
  }
  
  public void setDetailField6(String[] newDetailField6) {
    this.detailField6 = newDetailField6;
  }
  
  public String[] getDetailField7() {
    return this.detailField7;
  }
  
  public void setDetailField7(String[] newDetailField7) {
    this.detailField7 = newDetailField7;
  }
  
  public String[] getDetailField8() {
    return this.detailField8;
  }
  
  public void setDetailField8(String[] newDetailField8) {
    this.detailField8 = newDetailField8;
  }
  
  public String[] getDetailField9() {
    return this.detailField9;
  }
  
  public void setDetailField9(String[] newDetailField9) {
    this.detailField9 = newDetailField9;
  }
  
  public String[] getDetailField10() {
    return this.detailField10;
  }
  
  public void setDetailField10(String[] newDetailField10) {
    this.detailField10 = newDetailField10;
  }
  
  public String getSearchField2() {
    return this.searchField2;
  }
  
  public void setSearchField2(String newSearchField2) {
    this.searchField2 = newSearchField2;
  }
  
  public String[] getDetailField1() {
    return this.detailField1;
  }
  
  public void setDetailField1(String[] newDetailField1) {
    this.detailField1 = newDetailField1;
  }
  
  public String[] getDetailField2() {
    return this.detailField2;
  }
  
  public void setDetailField2(String[] newDetailField2) {
    this.detailField2 = newDetailField2;
  }
  
  public String[] getDetailField3() {
    return this.detailField3;
  }
  
  public void setDetailField3(String[] newDetailField3) {
    this.detailField3 = newDetailField3;
  }
  
  public int getTxtHidTotCols() {
    return this.txtHidTotCols;
  }
  
  public void setTxtHidTotCols(int newTxtHidTotCols) {
    this.txtHidTotCols = newTxtHidTotCols;
  }
  
  public String getInsertFlag() {
    return this.insertFlag;
  }
  
  public void setInsertFlag(String newInsertFlag) {
    this.insertFlag = newInsertFlag;
  }
  
  public String getSearchFieldName1() {
    return this.searchFieldName1;
  }
  
  public void setSearchFieldName1(String newSearchFieldName1) {
    this.searchFieldName1 = newSearchFieldName1;
  }
  
  public String getSearchFieldName2() {
    return this.searchFieldName2;
  }
  
  public void setSearchFieldName2(String newSearchFieldName2) {
    this.searchFieldName2 = newSearchFieldName2;
  }
  
  public String getMultipleFlag() {
    return this.multipleFlag;
  }
  
  public void setMultipleFlag(String newMultipleFlag) {
    this.multipleFlag = newMultipleFlag;
  }
  
  public String getQueryParam() {
    return this.queryParam;
  }
  
  public void setQueryParam(String newQueryParam) {
    this.queryParam = newQueryParam;
  }
  
  public ArrayList getHeaderList() {
    return this.headerList;
  }
  
  public void setHeaderList(ArrayList newHeaderList) {
    this.headerList = newHeaderList;
  }
  
  public ArrayList getVisibilityList() {
    return this.visibilityList;
  }
  
  public void setVisibilityList(ArrayList newVisibilityList) {
    this.visibilityList = newVisibilityList;
  }
  
  public String getVisibility(int iIndex) {
    return this.visibilityList.get(iIndex);
  }
  
  public String[] getDetailField11() {
    return this.detailField11;
  }
  
  public void setDetailField11(String[] newDetailField11) {
    this.detailField11 = newDetailField11;
  }
  
  public String[] getDetailField12() {
    return this.detailField12;
  }
  
  public void setDetailField12(String[] newDetailField12) {
    this.detailField12 = newDetailField12;
  }
  
  public String[] getDetailField13() {
    return this.detailField13;
  }
  
  public void setDetailField13(String[] newDetailField13) {
    this.detailField13 = newDetailField13;
  }
  
  public String[] getDetailField14() {
    return this.detailField14;
  }
  
  public void setDetailField14(String[] newDetailField14) {
    this.detailField14 = newDetailField14;
  }
  
  public String[] getDetailField15() {
    return this.detailField15;
  }
  
  public void setDetailField15(String[] newDetailField15) {
    this.detailField15 = newDetailField15;
  }
  
  public String[] getDetailField17() {
    return this.detailField17;
  }
  
  public void setDetailField17(String[] newDetailField17) {
    this.detailField17 = newDetailField17;
  }
  
  public String[] getDetailField18() {
    return this.detailField18;
  }
  
  public void setDetailField18(String[] newDetailField18) {
    this.detailField18 = newDetailField18;
  }
  
  public String[] getDetailField19() {
    return this.detailField19;
  }
  
  public void setDetailField19(String[] newDetailField19) {
    this.detailField19 = newDetailField19;
  }
  
  public String[] getDetailField16() {
    return this.detailField16;
  }
  
  public void setDetailField16(String[] newDetailField16) {
    this.detailField16 = newDetailField16;
  }
  
  public String[] getDetailField20() {
    return this.detailField20;
  }
  
  public void setDetailField20(String[] newDetailField20) {
    this.detailField20 = newDetailField20;
  }
  
  public String getRecursiveFlag() {
    return this.recursiveFlag;
  }
  
  public void setRecursiveFlag(String newRecursiveFlag) {
    this.recursiveFlag = newRecursiveFlag;
  }
  
  public int getLevel() {
    return this.level;
  }
  
  public void setLevel(int newLevel) {
    this.level = newLevel;
  }
  
  public int getFinalLevel() {
    return this.finalLevel;
  }
  
  public void setFinalLevel(int newFinalLevel) {
    this.finalLevel = newFinalLevel;
  }
  
  public int getInitialLevel() {
    return this.initialLevel;
  }
  
  public void setInitialLevel(int newInitialLevel) {
    this.initialLevel = newInitialLevel;
  }
  
  public String getSearchField3() {
    return this.searchField3;
  }
  
  public void setSearchField3(String newSearchField3) {
    this.searchField3 = newSearchField3;
  }
  
  public String getSearchField4() {
    return this.searchField4;
  }
  
  public void setSearchField4(String newSearchField4) {
    this.searchField4 = newSearchField4;
  }
  
  public String getSearchField5() {
    return this.searchField5;
  }
  
  public void setSearchField5(String newSearchField5) {
    this.searchField5 = newSearchField5;
  }
  
  public String getSearchField6() {
    return this.searchField6;
  }
  
  public void setSearchField6(String newSearchField6) {
    this.searchField6 = newSearchField6;
  }
  
  public String getSearchFieldName3() {
    return this.searchFieldName3;
  }
  
  public void setSearchFieldName3(String newSearchFieldName3) {
    this.searchFieldName3 = newSearchFieldName3;
  }
  
  public String getSearchFieldName4() {
    return this.searchFieldName4;
  }
  
  public void setSearchFieldName4(String newSearchFieldName4) {
    this.searchFieldName4 = newSearchFieldName4;
  }
  
  public String getSearchFieldName5() {
    return this.searchFieldName5;
  }
  
  public void setSearchFieldName5(String newSearchFieldName5) {
    this.searchFieldName5 = newSearchFieldName5;
  }
  
  public String getSearchFieldName6() {
    return this.searchFieldName6;
  }
  
  public void setSearchFieldName6(String newSearchFieldName6) {
    this.searchFieldName6 = newSearchFieldName6;
  }
}
